import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';

import {EnvironmentSpecificResolver} from './openaireLibrary/utils/properties/environmentSpecificResolver';
import {EnvironmentSpecificService} from './openaireLibrary/utils/properties/environment-specific.service';

import {OpenaireErrorPageComponent} from './error/errorPage.component';

const routes: Routes = [
  {path: '', loadChildren: './home/home.module#HomeModule', resolve: {envSpecific: EnvironmentSpecificResolver}},
  {
    path: 'monitor',
    loadChildren: './monitor/monitor.module#MonitorModule',
    resolve: {envSpecific: EnvironmentSpecificResolver}
  },
  {path: 'about', redirectTo: 'about/learn-how', pathMatch: 'full'},
  {
    path: 'about/learn-how',
    loadChildren: './learn-how/learn-how.module#LearnHowModule',
    resolve: {envSpecific: EnvironmentSpecificResolver}
  },
  {
    path: 'about/learn-in-depth',
    loadChildren: './learn-how/learnInDepth/learn-in-depth.module#LearnInDepthModule',
    resolve: {envSpecific: EnvironmentSpecificResolver}
  },
  {
    path: 'contact-us',
    loadChildren: './contact/contact.module#ContactModule',
    resolve: {envSpecific: EnvironmentSpecificResolver}
  },
  {
    path: 'reload',
    loadChildren: './reload/libReload.module#LibReloadModule',
    resolve: {envSpecific: EnvironmentSpecificResolver}
  },
  {
    path: 'user-info',
    loadChildren: './login/libUser.module#LibUserModule',
    resolve: {envSpecific: EnvironmentSpecificResolver}
  },
  {path: 'error', component: OpenaireErrorPageComponent, resolve: {envSpecific: EnvironmentSpecificResolver}},
  {
    path: '**',
    pathMatch: 'full',
    component: OpenaireErrorPageComponent,
    resolve: {envSpecific: EnvironmentSpecificResolver}
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
  providers: [EnvironmentSpecificResolver, EnvironmentSpecificService]
})
export class AppRoutingModule {
}
