import { NgModule}      from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

import {FreeGuard}      from '../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {PiwikService}          from '../openaireLibrary/utils/piwik/piwik.service';

import {LearnHowComponent} from "./learn-how.component";
import {LearnHowRoutingModule} from "./learn-how-routing.module";
import {GifSliderModule} from "../openaireLibrary/utils/gif-slider/gif-slider.module";
import {HelperModule} from "../openaireLibrary/utils/helper/helper.module";
import {IsRouteEnabled} from "../openaireLibrary/error/isRouteEnabled.guard";
import {Schema2jsonldModule} from "../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SEOServiceModule} from "../openaireLibrary/sharedComponents/SEO/SEOService.module";

@NgModule({
  imports: [
    CommonModule, RouterModule, LearnHowRoutingModule, GifSliderModule, HelperModule,
    Schema2jsonldModule, SEOServiceModule
  ],
  declarations: [
    LearnHowComponent
  ],
  exports: [
    LearnHowComponent
  ],
  providers:[
    FreeGuard, PreviousRouteRecorder, PiwikService, IsRouteEnabled
  ]
})
export class LearnHowModule { }
