import { NgModule}      from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

import {FreeGuard}      from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {PiwikService}          from '../../openaireLibrary/utils/piwik/piwik.service';

import {LearnInDepthComponent} from "./learn-in-depth.component";
import {LearnInDepthRoutingModule} from "./learn-in-depth-routing.module";
import {HelperModule} from "../../openaireLibrary/utils/helper/helper.module";
import {IsRouteEnabled} from "../../openaireLibrary/error/isRouteEnabled.guard";
import {Schema2jsonldModule} from "../../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SEOServiceModule} from "../../openaireLibrary/sharedComponents/SEO/SEOService.module";

@NgModule({
  imports: [
    CommonModule, RouterModule, LearnInDepthRoutingModule, HelperModule,
    Schema2jsonldModule, SEOServiceModule
  ],
  declarations: [
    LearnInDepthComponent
  ],
  exports: [
    LearnInDepthComponent
  ],
  providers:[
    FreeGuard, PreviousRouteRecorder, PiwikService, IsRouteEnabled
  ]
})
export class LearnInDepthModule { }
