import {NgModule}                   from '@angular/core';
import {CommonModule}               from '@angular/common';
import {FormsModule}                from '@angular/forms';
import {RouterModule}               from '@angular/router';
import {CKEditorModule}             from 'ng2-ckeditor';

import {InviteComponent}            from './invite.component';
import {InviteRoutingModule}        from './invite-routing.module';

import {PreviousRouteRecorder}      from '../../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';

import {LoginGuard} from '../../../openaireLibrary/login/loginGuard.guard';
import {EmailService}               from '../../../openaireLibrary/utils/email/email.service';
import {CommunityService}           from '../../../openaireLibrary/connect/community/community.service';
import {ErrorMessagesModule}        from '../../../openaireLibrary/utils/errorMessages.module';
import {IsRouteEnabled} from "../../../openaireLibrary/error/isRouteEnabled.guard";
import {HelperModule} from "../../../openaireLibrary/utils/helper/helper.module";
import {Schema2jsonldModule} from "../../../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SEOServiceModule} from "../../../openaireLibrary/sharedComponents/SEO/SEOService.module";
import {PiwikService} from "../../../openaireLibrary/utils/piwik/piwik.service";

@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule, InviteRoutingModule, CKEditorModule, ErrorMessagesModule,
    HelperModule, Schema2jsonldModule, SEOServiceModule
  ],
  declarations: [
    InviteComponent
  ],
  providers: [
    LoginGuard, PreviousRouteRecorder,
    EmailService, CommunityService, IsRouteEnabled,
    PiwikService
  ],
  exports: [
    InviteComponent
  ]
})

export class InviteModule { }
